% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/corpus-methods-quanteda.R
\name{metacorpus}
\alias{metacorpus}
\alias{metacorpus<-}
\title{Get or set corpus metadata}
\usage{
metacorpus(x, field = NULL)

metacorpus(x, field) <- value
}
\arguments{
\item{x}{a \link{corpus} object}

\item{field}{metadata field name(s);  if \code{NULL} (default), return all 
metadata names}

\item{value}{new value of the corpus metadata field}
}
\value{
For \code{metacorpus}, a named list of the metadata fields in the corpus. 
  
  For \code{metacorpus <-}, the corpus with the updated metadata.
}
\description{
Get or set the corpus-level metadata in a \link{corpus} object.
}
\examples{
metacorpus(data_corpus_inaugural)
metacorpus(data_corpus_inaugural, "source")
metacorpus(data_corpus_inaugural, "citation") <- "Presidential Speeches Online Project (2014)."
metacorpus(data_corpus_inaugural, "citation")
}
\keyword{corpus}
